> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a group of products by ID

> Create a new product. The request body should be a list of product properties you want to set for the new product, with each entry being the internal name of the property to be set, and the value of that property.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json GET /crm-objects/v1/change-log/products
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/change-log/products:
    get:
      summary: Get a group of products by ID
      description: >-
        Create a new product. The request body should be a list of product
        properties you want to set for the new product, with each entry being
        the internal name of the property to be set, and the value of that
        property.
      operationId: getcrmobjectsv1changelogproducts
      responses:
        '200':
          description: Successful response - Create a new product
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a group of products by ID - Example 1
                  value:
                    - timestamp: 1525297495553
                      changeType: CHANGED
                      objectId: 1645187
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - price
                          - recurringbillingfrequency
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525297514887
                      changeType: CHANGED
                      objectId: 1642796
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - content
                          - status
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298220133
                      changeType: CHANGED
                      objectId: 1688960
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - price
                          - name
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
                    - timestamp: 1525298357009
                      changeType: CREATED
                      objectId: 1645342
                      changes:
                        changedProperties:
                          - hs_lastmodifieddate
                          - name
                          - description
                          - price
                          - recurringbillingfrequency
                        newAssociations: []
                        removedAssociations: []
                        newListMemberships: []
                        removedListMemberships: []
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````